Summary:	A free virtual machine for running Java(TM) code
Name:		kaffe
Version:	1.0.6
Release:	2mdk
Serial:		2
Copyright:	GPL
Url:		http://www.kaffe.org/
Group:		Development/Java

Source0:	ftp://ftp.transvirtual.com/pub/kaffe/kaffe-%{version}.tar.bz2
Patch:		kaffe-alpha.patch.bz2
Patch2:		kaffe-1.0.6-perlpath.patch.bz2
Patch3:		kaffe-1.0.6.mdk.patch.bz2
Patch4:		kaffe-1.0.6.mdk.keypad.patch.bz2
Patch5:		kaffe-1.0.6.mdk.font.patch.bz2
Patch6:		kaffe-1.0.6.mdk.focus.patch.bz2

Obsoletes:	kaffe-bissawt
Buildroot:	%{_tmppath}/kaffe-root
BuildConflicts:	jikes

%description
Kaffe is a free virtual machine designed to execute Java(TM) bytecode.
Kaffe can be configured in two modes.  In the first mode, it operates
as a pure bytecode interpreter (not unlike Javasoft's machine).  In
the second mode, it performs "just-in-time" code conversion from the
abstract code to the host machine's native code.  The second mode will
ultimately allow execution of Java code at the same speed as standard
compiled code, while also maintaining the advantages and flexibility
of code independence.

Install the kaffe package if you need a Java virtual machine.

%prep
%setup -q -n kaffe-%{version}
%patch -p1 -b .alpha
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%build

KAFFE_OPT_FLAGS=$(echo $RPM_OPT_FLAGS|sed 's/-fomit-frame-pointer//')

CFLAGS="$KAFFE_OPT_FLAGS" ./configure --prefix=/usr --libdir=%{_libdir}/kaffe \
	--libexecdir=%{_libdir}/kaffe
# hack hack hack
#make || {
#  cp -l kaffe/kaffevm/intrp/icode.h kaffe/kaffevm/jit
#  make
# }

find . -type 'd' -name "CVS" -print | xargs /bin/rm -rf
make all Klasses

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT%{_libdir}/kaffe \
	libexecdir=$RPM_BUILD_ROOT%{_libdir}/kaffe \
	nativedir=$RPM_BUILD_ROOT%{_libdir}/kaffe \
	classdir=$RPM_BUILD_ROOT/usr/share/kaffe \
        mandir=$RPM_BUILD_ROOT%{_mandir} install 
#make prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT%{_libdir}/kaffe \
#	libexecdir=$RPM_BUILD_ROOT%{_libdir}/kaffe \
#	nativedir=$RPM_BUILD_ROOT%{_libdir}/kaffe \
#	classdir=$RPM_BUILD_ROOT/usr/share/kaffe check || :
strip $RPM_BUILD_ROOT%{_bindir}/* || echo
strip $RPM_BUILD_ROOT%{_libdir}/kaffe/Kaffe

find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README FAQ license.terms developers
%{_mandir}/*/*
%{_libdir}/kaffe
%{_bindir}/*
/usr/share/kaffe
/usr/include/kaffe

%changelog
* Mon Sep 25 2000 Maurizio De Cecco <maurizio@mandrakesoft.com> 1.06-2mdk
- removed CVS junk

* Mon Aug 8 2000 Maurizio De Cecco <maurizio@mandrakesoft.com> 1.06-1mdk
- Moved to kaffe 1.0.6
- Remove those patches that have been incoporated with the official kaffe distribution
- fixed man/lib/bin path according to the FHS.

* Fri May 26 2000 David BAUDENS <baudens@mandrakesoft.com> 1.05-11mdk
- BuildConflicts: jikes
- Use %%{_tmppath} for BuildRoot

* Fri May  5 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- 10mdk
- Removed jpeg patch added in 8mdk; the libjpeg/autoconf problem
  has been fixed in libjeg-14mdk

* Wed Apr 26 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- 9mdk
- Fixed bug in AWT focus handling.

* Mon Apr 20 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- 8mdk
- Patched to force jpeg support inclusion, to cope with a bug/incompatibility
  between libjpeg and autoconf.

* Mon Apr 17 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- 7mdk
- Fixed memory corruption problem in FontMetrics/XFontStruct.

* Thu Apr 13 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Really Added patch to fix kaffe behavoiur with the Keypad.

* Wed Apr 12 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Added patch to fix kaffe behavoiur with the Keypad.

* Tue Apr 11 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Fixed Distribution name

* Tue Mar 28 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Fixed a bug in key event handling.

* Tue Mar 14 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Added Mandrake Patches for Process, TextField and TextComponent classes
- Upgraded the kjc compiler to version 1.4C.
- Modified build process to rebuild the patched class library
- Adapted to the new group structure

* Tue Oct 26 1999 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Mandrake version for 1.05

* Mon Oct 18 1999 Bill Nottingham <notting@redhat.com>
- 1.0.5. Lets see what it does.

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- build for alpha (it seems to work...)
- fix paths so it works

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- according to the kaffe people, b4 is a "massive bugfix release"

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Mar 18 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Tue Dec 15 1998 Bill Nottingham <notting@redhat.com>
- add an Obsoletes: for kaffe-bissawt

* Wed Dec  9 1998 Bill Nottingham <notting@redhat.com>
- update to 1.0b3
- include alpha patch, but it's still broke

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- added sparc to the list of supported architectures
- update to 1.0b2

* Tue Sep 22 1998 Bill Nottingham <notting@redhat.com>
- don't rename libraries; install them in /usr/lib/kaffe
- remove sparc arch (doesn't work)

* Thu Jul 23 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.0.b1.
- add sparc arch (alpha has problems kaffe/kaffeevm/support.c:{343,518}

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon May 04 1998 Cristian Gafton <gafton@redhat.com>
- finally their ftp site is up again: updated to 0.10.0
- too bad the Biss-AWT doesn't seem to be maintained anymore... Removed the
  bissawt package
- unfortunately alpha and sparc assembler code that reference registers
  like eax, ebx, etc. makes this package ExclusiveArch: i386

* Tue Dec 09 1997 Cristian Gafton <gafton@redhat.com>
- added kaffe to the file list
- added BuildRoot; cleaned the spec file

* Tue Nov 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- removed pieces with incompatible licenses

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- updated to 0.9.2

* Mon Aug 25 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Apr 24 1997 Erik Troan <ewt@redhat.com>
- added libkaffe_vm.so symlink.

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>
- added manual provide of libkaffe_vm.so (RPM seems a bit broken).





